package com.bocloud.cmp.model.hmc;

public class HmdViosPhysicalFabricAdapterModel extends HmdGenericModel {
    private String name; // 名称
    private String locationCode; // 物理位置
    private String uniqueDeviceId; // 设备唯一id
    private String wwpn; // wwpn
    private Integer availablePorts; // 可用端口数
    private Integer usedPorts; // 已用端口数
    private HmdPartitionModel vios; // 所属vios

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    public String getWwpn() {
        return wwpn;
    }

    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }

    public Integer getAvailablePorts() {
        return availablePorts;
    }

    public void setAvailablePorts(Integer availablePorts) {
        this.availablePorts = availablePorts;
    }

    public Integer getUsedPorts() {
        return usedPorts;
    }

    public void setUsedPorts(Integer usedPorts) {
        this.usedPorts = usedPorts;
    }

    public HmdPartitionModel getVios() {
        return vios;
    }

    public void setVios(HmdPartitionModel vios) {
        this.vios = vios;
    }

}
